{% block header %}

    <header>
        <div class="container-fluid">
        {# for a screen greater than 770px #}
            <nav id="navbar-big-screen" class="row">
                <a href="{{ path('home') }}" class="col-3 ">
                    <img src="{{ asset('img/logoCagibigMot.png') }}" alt="logo" class="cagibig-logo">
                </a>
                <form class="form-inline search-form col-3 ">
                    <a type="submit">
                        <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="search"
                             class="svg-inline--fa fa-search fa-w-16" role="img" xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 512 512">
                            <path fill="currentColor"
                                  d="M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6.1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z"></path>
                        </svg>
                    </a>
                    <input class=" " type="search" aria-label="Search"
                           placeholder="{% trans %}Search in the catalog{% endtrans %}">
                </form>
                {% if app.user %}
                    <div class="col-1 tuto-position-center pt-2">
                        <a href="" class="  tuto-absolute ">
                            <svg version="1.0" xmlns="http://www.w3.org/2000/svg" class="shopping-cart"
                                 viewBox="0 0 512 512" preserveAspectRatio="xMidYMid meet">
                                <g transform="translate(0.000000,512.000000) scale(0.100000,-0.100000)"
                                   fill="currentColor" stroke="none">
                                    <path d="M198 4902 c-68 -24 -132 -82 -164 -148 -51 -104 -34 -225 44 -319 60 -72 117 -93 278 -105 220 -16 321 -69 386 -200 35 -70 50 -140 247 -1125 198 -989 227 -1116 281 -1240 89 -205 309 -409 535 -496 223 -86 293 -91 1300 -87 l810 3 55 22 c131 54 251 177 415 423 227 342 696 1227 725 1367 28 133 -53 278 -183 328 -59 22 -175 17 -232 -10 -78 -38 -110 -85 -262 -388 -274 -549 -491 -929 -632 -1104 l-41 -53 -763 0 c-419 0 -794 5 -833 10 -183 24 -319 121 -374 267 -11 31 -113 513 -225 1072 -111 559 -210 1045 -220 1080 -22 86 -82 223 -130 296 -89 137 -248 266 -412 335 -187 79 -488 114 -605 72z"/>
                                    <path d="M2865 4709 c-133 -20 -223 -63 -236 -111 -7 -28 -34 -374 -44 -573 -3 -60 -8 -149 -11 -197 l-6 -88 -217 0 c-119 0 -233 -5 -253 -10 -73 -21 -100 -99 -57 -169 42 -69 190 -260 311 -401 164 -191 512 -557 548 -575 37 -19 73 -19 110 0 31 16 357 356 499 519 229 265 381 472 381 520 0 48 -33 93 -77 105 -21 6 -134 11 -255 11 l-218 0 0 38 c0 98 -45 723 -57 792 -9 55 -21 70 -76 95 -94 41 -239 60 -342 44z"/>
                                    <path d="M1930 961 c-89 -29 -141 -60 -206 -125 -97 -97 -144 -210 -144 -345 0 -241 173 -441 417 -483 122 -20 257 14 364 94 142 106 219 292 191 461 -33 191 -164 343 -346 398 -79 24 -202 24 -276 0z"/>
                                    <path d="M3688 957 c-347 -119 -450 -553 -192 -811 86 -86 228 -146 344 -146 116 0 258 60 344 146 220 220 184 580 -75 753 -123 82 -284 104 -421 58z"/>
                                </g>
                            </svg>
                        </a>
                        {% if shoppingCart is defined %}
                            <img class="tuto-arrow-up" src="{{ asset('img/icon/blueArrow.png') }}" alt="">
                        {% endif %}
                    </div>

                    <div class="col-2  pt-2 tuto-position-center">
                        {% if user.avatar.filePath is defined %}
                            <img class="header-avatar tuto-absolute " src="{{ user.avatar.filePath }}/{{ user.avatar.imageName }}" alt="{{ user.avatar.alt }}">
                        {% else %}
                            <i class="fas fa-user-alt  header-avatar pt-2 tuto-absolute"></i>
                        {% endif %}
                        {% if status is defined %}
                            <img class="tuto-arrow-up" src="{{ asset('img/icon/blueArrow.png') }}"  alt="">
                        {% endif %}
                    </div>

                    <a href=""  class="pt-2 col-1 text-right">
                        <img src="{{ asset('img/icon/notifBell.png') }}" alt="bell" class="notif-bell">
                    </a>



                {% else%}
                    <a class="pt-2 col-2 text-center" href="{{ path('app_user_register') }}">{%trans%}Register{%endtrans%}</a>
                    <a class="btn btn-primary col-2" href="{{ path('app_login') }}">{%trans%}Sign in{%endtrans%}</a>

                    {% for locale in locales %}
                        {% if locale != app.request.locale %}
                            <a class=" pt-2 col-1 text-right" href="{{ path('translation_locale', {'locale': locale}) }}"><img src ="{{asset('img/'~locale~'.png')}}" alt="{{ locale }}"></a>
                        {% endif %}
                    {% endfor %}

                {% endif %}

                <div class="col-1 pt-2 tuto-position-center">
                    <a href="{{ path('app_sav_email', {subject:'question'}) }}" class=" tuto-absolute ">
                        <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="question"
                             class="svg-inline--fa fa-question fa-w-12" role="img" xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 384 512">
                            <path fill="currentColor"
                                  d="M202.021 0C122.202 0 70.503 32.703 29.914 91.026c-7.363 10.58-5.093 25.086 5.178 32.874l43.138 32.709c10.373 7.865 25.132 6.026 33.253-4.148 25.049-31.381 43.63-49.449 82.757-49.449 30.764 0 68.816 19.799 68.816 49.631 0 22.552-18.617 34.134-48.993 51.164-35.423 19.86-82.299 44.576-82.299 106.405V320c0 13.255 10.745 24 24 24h72.471c13.255 0 24-10.745 24-24v-5.773c0-42.86 125.268-44.645 125.268-160.627C377.504 66.256 286.902 0 202.021 0zM192 373.459c-38.196 0-69.271 31.075-69.271 69.271 0 38.195 31.075 69.27 69.271 69.27s69.271-31.075 69.271-69.271-31.075-69.27-69.271-69.27z"></path>
                        </svg>
                    </a>
                    {% if question is defined %}
                        <img class="tuto-arrow-up" src="{{ asset('img/icon/blueArrow.png') }}" alt="">
                    {% endif %}

                </div>

            </nav>

            {# for a screen smaller than 770px #}
            <nav id="navbar-small-screen">
                <div class="row d-flex justify-content-between">

                    <a href="{{ path('home') }}" class="col-2 pt-1 ">
                        <img src="{{ asset('img/logoCagibigMot.png') }}" alt="logo" class="cagibig-logo">
                    </a>
                    <a class="col-2 " href="#navbarPhone" data-toggle="collapse" role="button" aria-expanded="false"
                       aria-controls="collapseExample">
                        <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="bars"
                             class="svg-inline--fa fa-bars fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 448 512">
                            <path fill="currentColor"
                                  d="M16 132h416c8.837 0 16-7.163 16-16V76c0-8.837-7.163-16-16-16H16C7.163 60 0 67.163 0 76v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16z"></path>
                        </svg>
                    </a>
                </div>
            </nav>
            <div id="navbarPhone" class="collapse">
                <div class="row justify-content-center">
                    <div class="  ">
                        <form class="form-inline search-form ">
                            <a type="submit" class="">
                                <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="search"
                                     class="svg-inline--fa fa-search fa-w-16" role="img"
                                     xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                                    <path fill="currentColor"
                                          d="M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6.1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z"></path>
                                </svg>
                            </a>
                            <input class="ml-4" type="search" aria-label="Search"
                                   placeholder="{% trans %}Search in the catalog{% endtrans %}">
                        </form>
                    </div>
                    <div class="col-12 pt-4">
                        <div class="row">

                            {% if app.user %}
                                {# mettre l'avatar de l'user et un compagnie #}

                            {% else %}
                                <div class="col-3 offset-2 pt-3  pt-sm-1 btn btn-outline-primary ">
                                    <a class="" href="{{ path('app_user_register') }}">{%trans%}Register{%endtrans%}</a>
                                </div>
                                <div class="col-3 offset-2 btn btn-primary">
                                    <a class="" href="{{ path('app_login') }}">{% trans %}Sign in{% endtrans %}</a>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                    {% if app.user %}
                    <div class="col-12 pt-4">
                        <div class="row justify-content-around">
                            <a href="" class="col-1 pl-4">
                                <svg version="1.0" xmlns="http://www.w3.org/2000/svg" class="shopping-cart"
                                     viewBox="0 0 512 512" preserveAspectRatio="xMidYMid meet">
                                    <g transform="translate(0.000000,512.000000) scale(0.100000,-0.100000)"
                                       fill="currentColor" stroke="none">
                                        <path d="M198 4902 c-68 -24 -132 -82 -164 -148 -51 -104 -34 -225 44 -319 60 -72 117 -93 278 -105 220 -16 321 -69 386 -200 35 -70 50 -140 247 -1125 198 -989 227 -1116 281 -1240 89 -205 309 -409 535 -496 223 -86 293 -91 1300 -87 l810 3 55 22 c131 54 251 177 415 423 227 342 696 1227 725 1367 28 133 -53 278 -183 328 -59 22 -175 17 -232 -10 -78 -38 -110 -85 -262 -388 -274 -549 -491 -929 -632 -1104 l-41 -53 -763 0 c-419 0 -794 5 -833 10 -183 24 -319 121 -374 267 -11 31 -113 513 -225 1072 -111 559 -210 1045 -220 1080 -22 86 -82 223 -130 296 -89 137 -248 266 -412 335 -187 79 -488 114 -605 72z"/>
                                        <path d="M2865 4709 c-133 -20 -223 -63 -236 -111 -7 -28 -34 -374 -44 -573 -3 -60 -8 -149 -11 -197 l-6 -88 -217 0 c-119 0 -233 -5 -253 -10 -73 -21 -100 -99 -57 -169 42 -69 190 -260 311 -401 164 -191 512 -557 548 -575 37 -19 73 -19 110 0 31 16 357 356 499 519 229 265 381 472 381 520 0 48 -33 93 -77 105 -21 6 -134 11 -255 11 l-218 0 0 38 c0 98 -45 723 -57 792 -9 55 -21 70 -76 95 -94 41 -239 60 -342 44z"/>
                                        <path d="M1930 961 c-89 -29 -141 -60 -206 -125 -97 -97 -144 -210 -144 -345 0 -241 173 -441 417 -483 122 -20 257 14 364 94 142 106 219 292 191 461 -33 191 -164 343 -346 398 -79 24 -202 24 -276 0z"/>
                                        <path d="M3688 957 c-347 -119 -450 -553 -192 -811 86 -86 228 -146 344 -146 116 0 258 60 344 146 220 220 184 580 -75 753 -123 82 -284 104 -421 58z"/>
                                    </g>
                                </svg>
                            </a>

                            <a href="" class="col-2 ">
                                <img src="{{ asset('img/icon/notifBell.png') }}" alt="bell" class="notif-bell">
                            </a>


                        </div>
                        {% endif %}
                    </div>
                </div>
            </div>

        </div>
    </header>

    {% for flashError in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
    {% endfor %}

    {% for flashError in app.flashes('no_access') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
    {% endfor %}

{% endblock %}
